Bullet Collision Detection & Physics Library: ConvertBodiesLoop Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
ConvertBodiesLoop Struct Reference
Inheritance diagram for ConvertBodiesLoop:
[legend]
Collaboration diagram for ConvertBodiesLoop:
[legend]

## Public Member Functions
| ConvertBodiesLoop (btSequentialImpulseConstraintSolverMt *solver, btCollisionObject **bodies, int numBodies, const btContactSolverInfo &infoGlobal)
void | forLoop (int iBegin, int iEnd) const BT_OVERRIDE
Public Member Functions inherited from btIParallelForBody
virtual | ~btIParallelForBody ()
virtual void | forLoop (int iBegin, int iEnd) const =0

## Public Attributes
btSequentialImpulseConstraintSolverMt * | m_solver
btCollisionObject ** | m_bodies
int | m_numBodies
const btContactSolverInfo & | m_infoGlobal

## Detailed Description

Definition at line 780 of file btSequentialImpulseConstraintSolverMt.cpp.

## Constructor & Destructor Documentation

## ◆ ConvertBodiesLoop()

ConvertBodiesLoop::ConvertBodiesLoop | ( | btSequentialImpulseConstraintSolverMt * | solver,
|  | btCollisionObject ** | bodies,
|  | int | numBodies,
|  | const btContactSolverInfo & | infoGlobal
| ) |  |
| inline

Definition at line 787 of file btSequentialImpulseConstraintSolverMt.cpp.

## Member Function Documentation

## ◆ forLoop()

void ConvertBodiesLoop::forLoop | ( | int | iBegin,
|  | int | iEnd
| ) |  | const
| inlinevirtual

Implements btIParallelForBody.

Definition at line 796 of file btSequentialImpulseConstraintSolverMt.cpp.

## Member Data Documentation

## ◆ m_bodies

btCollisionObject** ConvertBodiesLoop::m_bodies

Definition at line 783 of file btSequentialImpulseConstraintSolverMt.cpp.

## ◆ m_infoGlobal

const btContactSolverInfo& ConvertBodiesLoop::m_infoGlobal

Definition at line 785 of file btSequentialImpulseConstraintSolverMt.cpp.

## ◆ m_numBodies

int ConvertBodiesLoop::m_numBodies

Definition at line 784 of file btSequentialImpulseConstraintSolverMt.cpp.

## ◆ m_solver

btSequentialImpulseConstraintSolverMt* ConvertBodiesLoop::m_solver

Definition at line 782 of file btSequentialImpulseConstraintSolverMt.cpp.

The documentation for this struct was generated from the following file:

- btSequentialImpulseConstraintSolverMt.cpp